=== debian/changelog ===
muon (2.2.0-0ubuntu3.2) trusty; urgency=medium

  * Add kubuntu_fix-releasechecker.diff to fix checking for
    release updates, LP: #1383767

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 21 Oct 2014 17:15:24 +0200

muon (2.2.0-0ubuntu3.1) trusty; urgency=medium

  * Add upstream_Fix-threading-problem-involving-KSharedConfig.patch
    + This should prevent unsafe cross thread KSharedConfig accesses leading
      to crashes in all muon applications that use the ApplicationBackend.
    LP: #1317431

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 08 May 2014 11:25:39 +0200

muon (2.2.0-0ubuntu3) trusty; urgency=medium

  * Add upstream_Check-for-the-number-of-updates-rather-than-checking.patch
    to stop bogus upgrade notifications

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 13 Apr 2014 20:26:22 +0200

muon (2.2.0-0ubuntu2) trusty; urgency=medium

  * Add upstream_Don-t-post-another-notification-if-the-data-didn-t-c.patch
    from upstream git master as it did not get backported to the 2.2 branch
    LP: #1295423

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 16:59:11 +0200

muon (2.2.0-0ubuntu1) trusty; urgency=medium

  * Upstream final release
    + Dropping all patches/upstream_git of previously imported fixes.
  * Remove muon-notifier.mo from debian/*install as the bugger was merged
    into libmuon's translations.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 10 Apr 2014 12:31:06 +0200

muon (2.1.70-0ubuntu4) trusty; urgency=medium

  * Import more upstream commits (no. 14-23) improving l10n and notifications
    LP: #1295423
  * Update muon-notifier.install for revised notifier (missed in previous
    uploads).

 -- Harald Sitter <apachelogger@kubuntu.org>  Wed, 09 Apr 2014 11:38:49 +0200

muon (2.1.70-0ubuntu3) trusty; urgency=medium

  * Import upstream commits since release, improving l10n and resolving a
    couple of bugs.
    + All in sub directory upstream_git/ (git format-patch export)
    LP: #1283004

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Mar 2014 14:40:28 +0100

muon (2.1.70-0ubuntu2) trusty; urgency=medium

  * Remove build dep on libbogdega-dev again, not considered viable yet by
    upstream.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 24 Feb 2014 12:27:08 +0100

muon (2.1.70-0ubuntu1) trusty; urgency=medium

  * New upstream alpha release
  * Build-dep on libbodega-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 20 Feb 2014 22:43:20 +0000

muon (2.1.3-0ubuntu3) trusty; urgency=low

  * Add upstream_Small-logic-bug.patch to fix application listing caused
    by missing bool negation.
    LP: #1276129

 -- Harald Sitter <apachelogger@kubuntu.org>  Tue, 04 Feb 2014 13:19:25 +0100

muon (2.1.3-0ubuntu2) trusty; urgency=low

  * Drop kubuntu_featured_sources.diff in favor of kubuntu-settings shipping
    a config to provide featured software for discover.

 -- Harald Sitter <apachelogger@kubuntu.org>  Fri, 31 Jan 2014 12:33:06 +0100

muon (2.1.3-0ubuntu1) trusty; urgency=low

  * New upstream release.
  * Refresh kubuntu_featured_sources.diff

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 30 Jan 2014 18:38:53 +0100

muon (2.1.2-0ubuntu1) trusty; urgency=medium

  * New upstream release (LP: #1261812)

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 18 Dec 2013 15:38:28 +0100

muon (2.1.1-0ubuntu2) trusty; urgency=low

  * Breaks/Replaces libmuonprivate1 (LP: #1250103)

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 11 Nov 2013 15:58:30 +0100
