=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --dbg-package=muon-dbg --with kde --parallel

override_dh_auto_test:
	# Do nothing
