=== debian/watch ===
version=3
http://launchpad.net/muon/+download .*/muon-(.+)\.tar\.bz2
