## muon 5.2.2-1

=== debian/changelog ===
muon (4:5.2.2-1-0ubuntu4) vivid; urgency=medium

  * Add upstream_notifyrc-path.diff to fix install location of notifyrc
    files

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Apr 2015 12:09:05 +0200

muon (4:5.2.2-1-0ubuntu3) vivid; urgency=medium

  * Replace kubuntu_detect-kdelibs4support.diff with upstream format-patch
    upstream_check-for-KDELibs4Support.patch (no code change)
  * Add upstream patch upstream_Change-Join-the-Game-url.patch fixing the
    kde-join-the-game URL in the default muon-discover banner
  * Add upstream patch to make sure muon PM can load its xmlgui file
    upstream_Make-sure-the-proper-xmlgui-file-is-loaded.patch

 -- Harald Sitter <sitter@kde.org>  Wed, 01 Apr 2015 09:08:53 +0200

muon (4:5.2.2-1-0ubuntu2) vivid; urgency=medium

  * Add build-dep on libkf5kdelibs4support-dev and kubuntu_detect-kdelibs4support.diff

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 25 Mar 2015 09:59:22 +0100

muon (4:5.2.2-1-0ubuntu1) vivid; urgency=medium

  * Add back muon-installer.mo
  * Fixed upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Mar 2015 23:06:35 +0100

muon (4:5.2.2-0ubuntu2) vivid; urgency=medium

  * Remove muon-installer.mo from .install no longer included

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 24 Mar 2015 20:09:49 +0100

muon (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:36:31 -0700

muon (4:5.2.1+git20150304-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot to get fixed categories

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Mar 2015 18:05:04 +0100

muon (4:5.2.1git20150304-0ubuntu1) vivid; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 04 Mar 2015 15:33:43 +0100

muon (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release 
  * Add missing .mo files

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:45:04 -0800

muon (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:56:24 +0100

muon (4:5.1.95+git20150120-0ubuntu2) vivid; urgency=medium

  * Make libmuon replace and break libmuonprivate2, they clash on
    the translation files.

 -- Harald Sitter <sitter@kde.org>  Thu, 22 Jan 2015 09:22:23 +0100

muon (4:5.1.95+git20150120-0ubuntu1) vivid; urgency=medium

  [ Harald Sitter ]
  * New upstream release based on KDE Frameworks 5
  * muon-installer is no more remove binary package and all references
  * Drop all patches, they all came from upstream anyway
  * Remove muon.1 it was wrong and is now outdated
  * Fix lintian warnings and ignore all that are bogus or not worth
    fixing

  [ Jonathan Riddell ]
  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 15 Jan 2015 01:33:55 +0100

muon (2.2.0-0ubuntu5) utopic; urgency=medium

  * Add new package muon-common to contain shared data files.
    + Replaces and conflicts old muon-discover
    + Dependency of -discover and -notifier as they both use the discover icon
      LP: #1317036
  * Wildcardify discover.install because wildcards are cool.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 12 May 2014 14:42:13 +0200

muon (2.2.0-0ubuntu4) utopic; urgency=medium

  * Add upstream_Fix-threading-problem-involving-KSharedConfig.patch
    + This should prevent unsafe cross thread KSharedConfig accesses leading
      to crashes in all muon applications that use the ApplicationBackend.
    LP: #1317431 LP: #1317439 LP: #1317440 LP: #1317441

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 08 May 2014 11:25:39 +0200
