=== debian/control ===
Source: muon
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
XSBC-Original-Maintainer: Jonathan Thomas <echidnaman@kubuntu.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0~),
               extra-cmake-modules,
               libdebconf-kde-dev (>= 1.0.0),
               libkf5attica-dev,
               libkf5config-dev,
               libkf5configwidgets-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5declarative-dev,
               libkf5i18n-dev,
               libkf5kdelibs4support-dev,
               libkf5newstuff-dev,
               libkf5notifications-dev,
               libkf5solid-dev,
               libkf5wallet-dev,
               libkf5widgetsaddons-dev,
               libphonon4qt5-dev,
               libphonon4qt5experimental-dev,
               libqapt-dev (>= 3.0.0),
               libqca-qt5-2-dev,
               libqt5svg5-dev (>= 5.2.0),
               pkg-config,
               pkg-kde-tools (>= 0.5.0),
               plasma-framework-dev,
               qtdeclarative5-dev (>= 5.2.0)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/extragear/sysadmin/muon/

Package: muon
Architecture: any
Depends: apt-xapian-index,
         libmuon (= ${binary:Version}),
         libqapt3-runtime,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: muon-updater
Description: package manager for KDE
 Muon is a graphical package manager for KDE.
 .
 Features of note include:
  * A powerful, yet intuitive interface
  * Fast, accurate package search using the apt-xapian index and the Synaptic
    search algorithm
  * Support for filtering packages by status and category
  * Media change support
  * Support for configuring packages through the debconf system
  * Warn about/disallow the installation of untrusted packages, depending on
    APT settings
  * Uses Polkit for running privileged actions for enhanced security,
    convenience, and desktop integration
  * Power management suspension during package downloads, installations and
    removals
  * Support for download the latest changelog of a package
  * Package screenshots

Package: muon-common
Architecture: all
Depends: ${misc:Depends}
Description: Muon package manager suite (common data files)
 Muon is a graphical package manager for the Plasma workspace.
 .
 This package contains data files shared by various parts of the Muon suite.

Package: muon-discover
Architecture: any
Depends: app-install-data,
         apt-xapian-index,
         libmuon (= ${binary:Version}),
         libqapt3-runtime,
         muon-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: app-install-data-partner, ubuntu-sso-client
Description: Utility for browsing, installing, and removing applications
 Muon Discover will help you browse through the huge applications library you
 have available and help you find the applications you're looking for.
 .
 To install or remove software using the Center, you need administrator
 access on the computer.

Package: muon-updater
Architecture: any
Depends: libmuon (= ${binary:Version}),
         libqapt3-runtime,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: muon-notifier
Description: update manager for KDE
 Muon Updater is a graphical update manager for KDE. It is part of the Muon
 family of software and provides an interface similar to that of Muon.

Package: muon-notifier
Architecture: any
Depends: muon-common (= ${source:Version}),
         muon-updater,
         ubuntu-release-upgrader-qt,
         update-notifier-common,
         ${misc:Depends},
         ${shlibs:Depends}
Description: update notifier for KDE
 The Muon Notifier is an update notification daemon for KDE. It uses the KDE
 Daemon frame (KDED) framework to present the user with update notifications,
 providing an opportunity to launch the Muon Updater to deal with these
 updates.

Package: libmuon
Architecture: any
Depends: kdesudo,
         python3,
         software-properties-kde,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libmuonprivate1, libmuonprivate2, muon-installer (<< 1.3.65-0ubuntu2)
Replaces: libmuonprivate1, libmuonprivate2, muon-installer (<< 1.3.65-0ubuntu2)
Description: Runtime files for the Muon package management suite
 The Muon package management suite is a collection of package management
 applications built on the KDE platform.
 .
 This package contains runtime libraries

Package: muon-dbg
Section: debug
Architecture: any
Priority: extra
Depends: libmuon (= ${binary:Version}),
         muon (= ${binary:Version}) | muon-updater (= ${binary:Version}) | muon-notifier (= ${binary:Version}),
         ${misc:Depends}
Recommends: kdelibs5-dbg, qapt-dbg
Description: Muon debugging symbols
 This package contains debugging symbols for Muon.
 When Muon crashes, in most cases this package is
 needed to get a backtrace that is useful for developers. If you have
 experienced a Muon crash without this package
 installed, please install it, try to reproduce the problem and fill a bug
 report with a new backtrace attached.
