## muon 5.4.2

=== debian/changelog ===
muon (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:58:40 +0100

muon (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:21:43 +0100

muon (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:53:50 +0100

muon (4:5.3.95-0ubuntu1) wily; urgency=medium

  * Change kdesudo dependency to pkexec
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:18:23 +0200

muon (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:32:50 +0000

muon (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * Add muon-notifier.mo
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport
  * wrap-and-sort 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:37:53 +0200

muon (4:5.2.2-1-0ubuntu4.2) vivid; urgency=medium

  * Add upstream_init-application-notifier.diff LP: #1461725 to initialise
    the application notifier

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 04 Jun 2015 02:42:46 +0200

muon (4:5.2.2-1-0ubuntu4.1) vivid; urgency=medium

  * Add upstream_notifications.diff from upstream to prevent repeated
    notification popups LP: #1449583

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 28 Apr 2015 16:10:36 +0200

muon (4:5.3.1-1~) UNRELEASED; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).
  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Jun 2015 11:52:00 +0200

muon (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Add myself as Uploader.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 14 Feb 2015 10:13:40 +0100
