=== debian/changelog ===
muon (4:5.6.0-1) unstable; urgency=medium

  * Team upload.

  [ Clive Johnston ]
  * New upstream release 5.6.0 (Closes LP: #1562406)
    - Drop binaries that conflict with plasma-discover (Closes: #831279) 

  [ Scott Kitterman ]
  * Update debian/patches/no-canonical-support for new file structure
  * Drop muon-dbg binary and migrate to -dbgsym package and update
    debian/rules
  * Bump standards version to 3.9.8 without further change

 -- Scott Kitterman <scott@kitterman.com>  Thu, 14 Jul 2016 21:27:43 -0400

muon (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:45:33 +0100

muon (4:5.4.2-1) unstable; urgency=medium

  [ Scott Kitterman ]
  * Team upload.
  * Patch out Canonical support information used for Ubuntu - We're Debian
    (Closes: #791875)
    - Added debian/patches/no-canonical-support

  [ Maximiliano Curia ]
  * New upstream release (5.4.2).
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:51:43 +0200

muon (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:44:50 +0200

muon (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 18:24:40 +0200

muon (4:5.3.2-3) unstable; urgency=medium

  * Team upload.
  * Drop muon-discover depends on the no longer existing app-install-data
    (Closes: #792358)

 -- Scott Kitterman <scott@kitterman.com>  Mon, 20 Jul 2015 02:15:50 -0400

muon (4:5.3.2-2) unstable; urgency=medium

  * Drop update-notifier-common dependency. (Closes: #792011) Thanks to
    Achim Schaefer

 -- Maximiliano Curia <maxy@debian.org>  Fri, 10 Jul 2015 10:40:50 +0200

muon (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 23:04:58 +0200

muon (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).
  * New upstream release (5.3.0).
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 12:05:56 +0200
