## muon 5.7.0

=== debian/changelog ===
muon (4:5.7.0-0ubuntu3) artful; urgency=medium

  * Drop obsolete recommends on muon-updater

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Jun 2017 20:03:21 +0100

muon (4:5.7.0-0ubuntu2) artful; urgency=medium

  * Switch build depends to new KF5 -dev package names
    - plasma-framework-dev -> libkf5plasma-dev 
    - kio-dev -> libkf5kio-dev 

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 06 May 2017 16:56:18 +0100

muon (4:5.7.0-0ubuntu1) zesty; urgency=medium

  * New upstream bugfix release (5.7.0)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 06 Apr 2017 17:43:05 +0100

muon (4:5.6.0-0ubuntu2) zesty; urgency=medium

  * Add software-properties-kde dependency. (LP: #1612392)

 -- Carlo Vanini <silhusk@gmail.com>  Thu, 11 Aug 2016 18:46:57 +0200

muon (4:5.6.0-0ubuntu1) xenial; urgency=medium

  * New upstream release 5.6.0 (Closes LP: #1562406) 

 -- Clive Johnston <clivejo@aol.com>  Sat, 26 Mar 2016 20:50:44 +0000
