=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                debhelper (>= 9),
                extra-cmake-modules (>= 1.6.0),
                kinit-dev,
-               kio-dev,
                libdebconf-kde-dev (>= 1.0.0),
                libkf5archive-dev,
                libkf5attica-dev,
@@ -20,8 +19,10 @@
                libkf5iconthemes-dev,
                libkf5itemviews-dev,
                libkf5kdelibs4support-dev,
+               libkf5kio-dev,
                libkf5newstuff-dev,
                libkf5notifications-dev,
+               libkf5plasma-dev,
                libkf5solid-dev,
                libkf5textwidgets-dev,
                libkf5wallet-dev,
@@ -33,22 +34,21 @@
                libqt5svg5-dev (>= 5.4.0~),
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               plasma-framework-dev,
                qtbase5-dev (>= 5.4.0~),
                qtdeclarative5-dev (>= 5.4.0~)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/muon
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/muon.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/muon.git
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/muon
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/muon
 
 Package: muon
 Architecture: any
 Depends: apt-xapian-index,
          libqapt3 (>= 3.0.2),
          libqapt3-runtime (>= 3.0.2),
+         software-properties-kde,
          ${misc:Depends},
          ${shlibs:Depends}
-Recommends: muon-updater
 Description: package manager for KDE
  Muon is a graphical package manager for KDE.
  .
@@ -67,3 +67,17 @@
     removals
   * Support for download the latest changelog of a package
   * Package screenshots
+
+Package: muon-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: muon (= ${binary:Version}), ${misc:Depends}
+Recommends: qapt-dbg
+Description: Muon debugging symbols
+ This package contains debugging symbols for Muon.
+ When Muon crashes, in most cases this package is
+ needed to get a backtrace that is useful for developers. If you have
+ experienced a Muon crash without this package
+ installed, please install it, try to reproduce the problem and fill a bug
+ report with a new backtrace attached.
